package com.chaozhanggui.dao.system.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.util.Date;

public class TbPlussAccount implements Serializable {
    public static final String CHANNEL_TYPE_D1 = "D1";
    public static final String CHANNEL_TYPE_D0 = "D0";

    /** 小微 */
    public static final String SETTLE_TYPE_MICRO_STORE = "00";
    /** 对私法人结算 */
    public static final String SETTLE_TYPE_PRIVATE_LEGAL = "01";
    /** 我是法人 */
    public static final String IS_SELF_LEGAL = "1";
    /** 我不是法人 */
    public static final String NOT_SELF_LEGAL = "2";
    /** 对私非法人结算 */
    public static final String SETTLE_TYPE_PRIVATE_ILLEGAL = "02";
    /** 对公结算 */
    public static final String SETTLE_TYPE_CORPORATE = "03";

    /** 对私法人-我是法人 */
    public static final String LEGAL_PRIVATE_LEGAL = SETTLE_TYPE_PRIVATE_LEGAL + IS_SELF_LEGAL;
    /** 对私法人-我不是法人*/
    public static final String ILLEGAL_PRIVATE_LEGAL = SETTLE_TYPE_PRIVATE_LEGAL + NOT_SELF_LEGAL;
    /** 对私非法人-我是法人*/
    public static final String LEGAL_PRIVATE_ILLEGAL = SETTLE_TYPE_PRIVATE_ILLEGAL + IS_SELF_LEGAL;
    /** 对私非法人-我不是法人*/
    public static final String ILLEGAL_PRIVATE_ILLEGAL = SETTLE_TYPE_PRIVATE_ILLEGAL + NOT_SELF_LEGAL;
    private Integer id;

    private String userid;

    private String idcardid;

    private String bankcardid;

    private String certificateurl;

    private String settletype;

    private Date createtime;

    private Date updatetime;

    private String channeltype;

    /**
     * 创建时间 开始时间
     */
    @TableField(select = false, value = "createTime")
    private Date createTimeStart;

    /**
     * 创建时间 截止时间
     */
    @TableField(select = false, value = "createTime")
    private Date createTimeEnd;

    @TableField(select = false, value = "updateTime")
    private Date updateTimeStart;

    /**
     * 更新时间 截止时间
     */
    @TableField(select = false, value = "updateTime")
    private Date updateTimeEnd;

    private Integer valid;

    private String bak;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getIdcardid() {
        return idcardid;
    }

    public void setIdcardid(String idcardid) {
        this.idcardid = idcardid == null ? null : idcardid.trim();
    }

    public String getBankcardid() {
        return bankcardid;
    }

    public void setBankcardid(String bankcardid) {
        this.bankcardid = bankcardid == null ? null : bankcardid.trim();
    }

    public String getCertificateurl() {
        return certificateurl;
    }

    public void setCertificateurl(String certificateurl) {
        this.certificateurl = certificateurl == null ? null : certificateurl.trim();
    }

    public String getSettletype() {
        return settletype;
    }

    public void setSettletype(String settletype) {
        this.settletype = settletype == null ? null : settletype.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getChanneltype() {
        return channeltype;
    }

    public void setChanneltype(String channeltype) {
        this.channeltype = channeltype == null ? null : channeltype.trim();
    }

    public Integer getValid() {
        return valid;
    }

    public void setValid(Integer valid) {
        this.valid = valid;
    }

    public String getBak() {
        return bak;
    }

    public void setBak(String bak) {
        this.bak = bak == null ? null : bak.trim();
    }

    public Date getCreateTimeStart() {
        return createTimeStart;
    }

    public void setCreateTimeStart(Date createTimeStart) {
        this.createTimeStart = createTimeStart;
    }

    public Date getCreateTimeEnd() {
        return createTimeEnd;
    }

    public void setCreateTimeEnd(Date createTimeEnd) {
        this.createTimeEnd = createTimeEnd;
    }

    public Date getUpdateTimeStart() {
        return updateTimeStart;
    }

    public void setUpdateTimeStart(Date updateTimeStart) {
        this.updateTimeStart = updateTimeStart;
    }

    public Date getUpdateTimeEnd() {
        return updateTimeEnd;
    }

    public void setUpdateTimeEnd(Date updateTimeEnd) {
        this.updateTimeEnd = updateTimeEnd;
    }
}